import { default as React } from 'react';
import { StoreType } from '../types';
import { Dispatcher } from '../store';
export type PluginContextType = {
    provided: boolean;
    store?: StoreType;
    dispatch?: Dispatcher;
    setStore: (store: StoreType) => void;
    setDispatch: (dispatch: Dispatcher) => void;
};
export declare const PluginContext: React.Context<PluginContextType>;
export declare function useInitialPluginContext(): PluginContextType;
export declare function usePluginContext(): [boolean, PluginContextType];
export declare function usePluginDispatch(): PluginContextType | undefined;
type Props = {
    children: React.ReactNode;
    context: PluginContextType;
};
export declare function PluginBase({ children, context }: Props): React.JSX.Element;
export {};
//# sourceMappingURL=PluginBase.d.ts.map