import { jsx, Fragment } from "react/jsx-runtime";
import React__default from "react";
const PluginContext = React__default.createContext({});
function useInitialPluginContext() {
  const [store, setStore] = React__default.useState(void 0);
  const [dispatch, setDispatch] = React__default.useState();
  return {
    provided: true,
    store,
    dispatch,
    setStore,
    setDispatch
  };
}
function usePluginContext() {
  const ctx = React__default.useContext(PluginContext);
  if ((ctx == null ? void 0 : ctx.provided) == null) {
    return [false, ctx];
  }
  return [true, ctx];
}
function PluginBase({ children, context }) {
  const [provided] = usePluginContext();
  if (provided) {
    return /* @__PURE__ */ jsx(Fragment, { children });
  }
  return /* @__PURE__ */ jsx(PluginContext.Provider, { value: context, children });
}
export {
  PluginBase,
  PluginContext,
  useInitialPluginContext,
  usePluginContext
};
//# sourceMappingURL=PluginBase.js.map
