import { default as React } from 'react';
import { RefPaletteType, SheetMapType, TableMapType } from '../types';
export type SheetContextType = {
    mounted: boolean;
    sheets: React.MutableRefObject<SheetMapType>;
    tables: React.MutableRefObject<TableMapType>;
    head: React.MutableRefObject<number>;
    choosingCell: string;
    setChoosingCell: (cell: string) => void;
    editingCell: string;
    setEditingCell: (cell: string) => void;
    externalRefs?: {
        [sheetName: string]: RefPaletteType;
    };
    setExternalRefs?: (refs: {
        [sheetName: string]: RefPaletteType;
    }) => void;
    lastFocusedRef: React.MutableRefObject<HTMLTextAreaElement | null>;
    setLastFocusedRef: (ref: React.MutableRefObject<HTMLTextAreaElement | null>) => void;
    forceRender: () => void;
};
export declare const SheetContext: React.Context<SheetContextType>;
export declare function useSheetContext(): [boolean, SheetContextType];
export declare function useSheetDispatch(): SheetContextType | undefined;
type Props = {
    children: React.ReactNode;
};
export declare function SheetProvider({ children }: Props): React.JSX.Element;
export {};
//# sourceMappingURL=SheetProvider.d.ts.map