import { jsx } from "react/jsx-runtime";
import React__default from "react";
const SheetContext = React__default.createContext({});
function useSheetContext() {
  var _a;
  const ctx = React__default.useContext(SheetContext);
  if (((_a = ctx.tables) == null ? void 0 : _a.current) == null) {
    return [false, ctx];
  }
  return [true, ctx];
}
function SheetProvider({ children }) {
  const [mounted, setMounted] = React__default.useState(false);
  const [version, setVersion] = React__default.useState(0);
  const head = React__default.useRef(1);
  const sheets = React__default.useRef({});
  const tables = React__default.useRef({});
  const [choosingCell, setChoosingCell] = React__default.useState("");
  const [editingCell, setEditingCell] = React__default.useState("");
  const [externalRefs, setExternalRefs] = React__default.useState({});
  const lastFocusedRefInitial = React__default.useRef(null);
  const [lastFocusedRef, setLastFocusedRef] = React__default.useState(lastFocusedRefInitial);
  React__default.useEffect(() => {
    setMounted(true);
  }, []);
  return /* @__PURE__ */ jsx(
    SheetContext.Provider,
    {
      value: {
        mounted,
        tables,
        sheets,
        head,
        choosingCell,
        setChoosingCell,
        editingCell,
        setEditingCell,
        externalRefs,
        setExternalRefs,
        lastFocusedRef,
        setLastFocusedRef,
        forceRender: () => {
          if (version >= Number.MAX_SAFE_INTEGER) {
            setVersion(0);
            return;
          }
          setVersion(version + 1);
        }
      },
      children
    }
  );
}
export {
  SheetContext,
  SheetProvider,
  useSheetContext
};
//# sourceMappingURL=SheetProvider.js.map
