import { Table } from '../../lib/table';
import { PointType } from '../../types';
import { Expression } from '../evaluator';
export type FunctionProps = {
    args: Expression[];
    table: Table;
    origin?: PointType;
};
export declare class BaseFunction {
    example: string;
    helpTexts: string[];
    helpArgs: {
        name: string;
        description: string;
    }[];
    protected bareArgs: any[];
    protected table: Table;
    protected origin?: PointType;
    constructor({ args, table, origin }: FunctionProps);
    protected validate(): void;
    call(): any;
}
export type FunctionMapping = {
    [functionName: string]: typeof BaseFunction;
};
//# sourceMappingURL=__base.d.ts.map