import { FormulaError } from "../evaluator.js";
import { BaseFunction } from "./__base.js";
class ColFunction extends BaseFunction {
  constructor() {
    super(...arguments);
    this.example = "COL(A9)";
    this.helpText = ["Returns the col number of a specified cell."];
    this.helpArgs = [
      {
        name: "cell_reference",
        description: "The cell whose col number will be returned.",
        option: true
      }
    ];
  }
  validate() {
    var _a;
    if (this.bareArgs.length === 0) {
      this.bareArgs = [((_a = this.origin) == null ? void 0 : _a.x) ?? 1];
    } else if (this.bareArgs.length === 1) {
      const table = this.bareArgs[0];
      this.bareArgs = [table.left];
    } else {
      throw new FormulaError("#N/A", "Number of arguments for COL is incorrect.");
    }
  }
  main(left) {
    return left;
  }
}
export {
  ColFunction
};
//# sourceMappingURL=col.js.map
