import { FormulaError } from "../evaluator.js";
import { BaseFunction } from "./__base.js";
import { gt } from "./__utils.js";
class GtFunction extends BaseFunction {
  constructor() {
    super(...arguments);
    this.example = "GT(5, 3)";
    this.helpText = [
      "Returns TRUE if the first argument is truly greater than the second, FALSE otherwise.",
      "This is the same as the '>' operator."
    ];
    this.helpArgs = [
      { name: "value1", description: "First value." },
      { name: "value2", description: "A value to be compared with value1." }
    ];
  }
  validate() {
    if (this.bareArgs.length !== 2) {
      throw new FormulaError("#N/A", "Number of arguments for GT is incorrect.");
    }
  }
  main(v1, v2) {
    return gt(v1, v2);
  }
}
export {
  GtFunction
};
//# sourceMappingURL=gt.js.map
