import { FormulaError } from "../evaluator.js";
import { BaseFunction } from "./__base.js";
import { lt } from "./__utils.js";
class LtFunction extends BaseFunction {
  constructor() {
    super(...arguments);
    this.example = "LT(3, 6)";
    this.helpText = [
      "Returns TRUE if the first argument is truely less than the second argument, FALSE otherwise.",
      "This is the same as the '<' operator."
    ];
    this.helpArgs = [
      { name: "value1", description: "First value." },
      { name: "value2", description: "A value to be compared with value1." }
    ];
  }
  validate() {
    if (this.bareArgs.length !== 2) {
      throw new FormulaError("#N/A", "Number of arguments for LT is incorrect.");
    }
  }
  main(v1, v2) {
    return lt(v1, v2);
  }
}
export {
  LtFunction
};
//# sourceMappingURL=lt.js.map
