import { FormulaError } from "../evaluator.js";
import { BaseFunction } from "./__base.js";
import { lte } from "./__utils.js";
class LteFunction extends BaseFunction {
  constructor() {
    super(...arguments);
    this.example = "LTE(3, 6)";
    this.helpText = [
      "Returns TRUE if the first argument is less than the second argument, FALSE otherwise.",
      "This is the same as the '<=' operator."
    ];
    this.helpArgs = [
      { name: "value1", description: "First value." },
      { name: "value2", description: "A value to be compared with value1." }
    ];
  }
  validate() {
    if (this.bareArgs.length !== 2) {
      throw new FormulaError("#N/A", "Number of arguments for LTE is incorrect.");
    }
  }
  main(v1, v2) {
    return lte(v1, v2);
  }
}
export {
  LteFunction
};
//# sourceMappingURL=lte.js.map
