import { FormulaError } from "../evaluator.js";
import { BaseFunction } from "./__base.js";
import { ne } from "./__utils.js";
class NeFunction extends BaseFunction {
  constructor() {
    super(...arguments);
    this.example = "NE(6, 7)";
    this.helpText = [
      "Returns TRUE if the two specified values are not equal, FALSE if they are.",
      "This is the same as the '<>' operator."
    ];
    this.helpArgs = [
      { name: "value1", description: "First value." },
      { name: "value2", description: "A value to be compared with value1." }
    ];
  }
  validate() {
    if (this.bareArgs.length !== 2) {
      throw new FormulaError("#N/A", "Number of arguments for NE is incorrect.");
    }
  }
  main(v1, v2) {
    return ne(v1, v2);
  }
}
export {
  NeFunction
};
//# sourceMappingURL=ne.js.map
