import { FormulaError } from "../evaluator.js";
import { BaseFunction } from "./__base.js";
import { ensureBoolean } from "./__utils.js";
class NotFunction extends BaseFunction {
  constructor() {
    super(...arguments);
    this.example = "NOT(TRUE)";
    this.helpText = ["Returns the inverse of the Boolean; if TRUE, NOT returns FALSE.", "If FALSE, NOT returns TRUE."];
    this.helpArgs = [
      {
        name: "logical expression",
        description: "A logical expression as a boolean."
      }
    ];
  }
  validate() {
    if (this.bareArgs.length === 1) {
      this.bareArgs[0] = ensureBoolean(this.bareArgs[0]);
      return;
    }
    throw new FormulaError("#N/A", "Number of arguments for NOT is incorrect. 1 argument must be specified.");
  }
  main(v1) {
    return !v1;
  }
}
export {
  NotFunction
};
//# sourceMappingURL=not.js.map
