import { FormulaError } from "../evaluator.js";
import { BaseFunction } from "./__base.js";
class NowFunction extends BaseFunction {
  constructor() {
    super(...arguments);
    this.example = "NOW()";
    this.helpText = ["Returns a serial value corresponding to the current date and time."];
    this.helpArgs = [];
  }
  validate() {
    if (this.bareArgs.length !== 0) {
      throw new FormulaError("#N/A", "Number of arguments for NOW is incorrect.");
    }
  }
  main() {
    return /* @__PURE__ */ new Date();
  }
}
export {
  NowFunction
};
//# sourceMappingURL=now.js.map
