import { FormulaError } from "../evaluator.js";
import { BaseFunction } from "./__base.js";
class PiFunction extends BaseFunction {
  constructor() {
    super(...arguments);
    this.example = "PI()";
    this.helpText = ["Returns the value of pi."];
    this.helpArgs = [];
  }
  validate() {
    if (this.bareArgs.length !== 0) {
      throw new FormulaError("#N/A", "Number of arguments for PI is incorrect.");
    }
  }
  main() {
    return Math.PI;
  }
}
export {
  PiFunction
};
//# sourceMappingURL=pi.js.map
