import { FormulaError } from "../evaluator.js";
import { BaseFunction } from "./__base.js";
class RandFunction extends BaseFunction {
  constructor() {
    super(...arguments);
    this.example = "RAND()";
    this.helpText = ["Returns a random number between 0 and 1."];
    this.helpArgs = [];
  }
  validate() {
    if (this.bareArgs.length !== 0) {
      throw new FormulaError("#N/A", "Number of arguments for RAND is incorrect.");
    }
  }
  main() {
    return Math.random();
  }
}
export {
  RandFunction
};
//# sourceMappingURL=rand.js.map
