import { FormulaError } from "../evaluator.js";
import { BaseFunction } from "./__base.js";
class RowFunction extends BaseFunction {
  constructor() {
    super(...arguments);
    this.example = "ROW(A9)";
    this.helpText = ["Returns the row number of a specified cell."];
    this.helpArgs = [
      {
        name: "cell_reference",
        description: "The cell whose row number will be returned.",
        option: true
      }
    ];
  }
  validate() {
    var _a;
    if (this.bareArgs.length === 0) {
      this.bareArgs = [((_a = this.origin) == null ? void 0 : _a.y) ?? 1];
    } else if (this.bareArgs.length === 1) {
      const table = this.bareArgs[0];
      this.bareArgs = [table.top];
    } else {
      throw new FormulaError("#N/A", "Number of arguments for ROW is incorrect.");
    }
  }
  main(top) {
    return top;
  }
}
export {
  RowFunction
};
//# sourceMappingURL=row.js.map
