import { FormulaError } from "../evaluator.js";
import { BaseFunction } from "./__base.js";
import { ensureNumber } from "./__utils.js";
class TanFunction extends BaseFunction {
  constructor() {
    super(...arguments);
    this.example = "TAN(1)";
    this.helpText = ["Returns the tan of the angle specified in radians."];
    this.helpArgs = [
      {
        name: "angle",
        description: "An angle in radians, at which you want the tan."
      }
    ];
  }
  validate() {
    if (this.bareArgs.length !== 1) {
      throw new FormulaError("#N/A", "Number of arguments for TAN is incorrect.");
    }
    this.bareArgs = this.bareArgs.map((arg) => ensureNumber(arg));
  }
  main(angle) {
    return Math.tan(angle);
  }
}
export {
  TanFunction
};
//# sourceMappingURL=tan.js.map
