export { GridSheet } from './components/GridSheet';
export { createTableRef } from './components/Tabular';
export { Renderer } from './renderers/core';
export type { RendererMixinType } from './renderers/core';
export { Parser } from './parsers/core';
export type { ParserMixinType } from './parsers/core';
export { oa2aa, aa2oa, constructInitialCells, constructInitialCellsOrigin, zoneToArea, areaToZone, areaToRange, } from './lib/structs';
export { TimeDelta } from './lib/time';
export { x2c, c2x, y2r, r2y, p2a, a2p } from './lib/converters';
export { updateTable } from './store/actions';
export { PluginBase, useInitialPluginContext, usePluginContext } from './components/PluginBase';
export type { MatrixType, CellType, FeedbackType, OptionsType, WriterType, CellsByAddressType, CellsByIdType, ModeType, HeadersType, HistoryType, StoreType, PointType, AreaType, ZoneType, } from './types';
export type { Dispatcher } from './store';
export { ThousandSeparatorRendererMixin } from './renderers/thousand_separator';
export { CheckboxRendererMixin } from './renderers/checkbox';
export { BaseFunction } from './formula/functions/__base';
export { Table } from './lib/table';
export * as prevention from './lib/prevention';
export { SheetProvider } from './components/SheetProvider';
//# sourceMappingURL=index.d.ts.map