import { Lexer } from "../formula/evaluator.js";
const insertTextAtCursor = (input, text) => {
  var _a;
  input.focus();
  const deprecated = !((_a = document.execCommand) == null ? void 0 : _a.call(document, "insertText", false, text));
  if (!deprecated) {
    return;
  }
  input.setRangeText(text, input.selectionStart, input.selectionEnd, "end");
  return;
};
const insertRef = (input, ref, dryRun = false) => {
  var _a;
  if (!((_a = input == null ? void 0 : input.value) == null ? void 0 : _a.startsWith("=")) || input.selectionStart === 0) {
    return false;
  }
  const lexer = new Lexer(input.value.substring(1));
  lexer.tokenize();
  const tokenIndex = lexer.getTokenIndexByCharPosition(input.selectionStart - 1);
  let token = lexer.tokens[tokenIndex];
  if ((token == null ? void 0 : token.type) === "SPACE") {
    token = lexer.tokens[tokenIndex - 1];
  }
  if (token == null || token.type === "OPEN" || token.type === "COMMA" || token.type === "INFIX_OPERATOR" || token.type === "PREFIX_OPERATOR") {
    if (!dryRun) {
      insertTextAtCursor(input, ref);
    }
  } else if (token.type === "REF" || token.type === "RANGE") {
    if (!dryRun) {
      const [start, end] = lexer.getTokenPositionRange(tokenIndex + 1, 1);
      input.setSelectionRange(start, end);
      insertTextAtCursor(input, ref);
    }
  } else {
    return false;
  }
  return true;
};
const isRefInsertable = (input) => {
  return insertRef(input, "", true);
};
const expandInput = (input) => {
  input.style.width = `${input.scrollWidth}px`;
  input.style.height = `${input.scrollHeight}px`;
};
export {
  expandInput,
  insertRef,
  insertTextAtCursor,
  isRefInsertable
};
//# sourceMappingURL=input.js.map
