const DeleteRow = 1, DeleteCol = 2, AddRowAbove = 4, AddRowBelow = 8, AddColLeft = 16, AddColRight = 32, MoveFrom = 64, MoveTo = 128, Write = 256, Style = 512, Resize = 1024, SetRenderer = 2048, SetParser = 4096;
const Move = MoveFrom | MoveTo;
const Update = Write | Style | Resize | SetRenderer | SetParser;
const AddRow = AddRowAbove | AddRowBelow;
const AddCol = AddColLeft | AddColRight;
const Add = AddRow | AddCol;
const Delete = DeleteRow | DeleteCol;
const ReadOnly = Update | Delete | Add | Move;
const isPrevented = (prevention, flag) => {
  if (prevention === void 0) {
    return false;
  }
  return (prevention & flag) === flag;
};
const debugOperations = (prevention) => {
  const preventions = [];
  if (isPrevented(prevention, DeleteRow)) {
    preventions.push("DeleteRow");
  }
  if (isPrevented(prevention, DeleteCol)) {
    preventions.push("DeleteCol");
  }
  if (isPrevented(prevention, AddRowAbove)) {
    preventions.push("AddRowAbove");
  }
  if (isPrevented(prevention, AddRowBelow)) {
    preventions.push("AddRowBelow");
  }
  if (isPrevented(prevention, AddColLeft)) {
    preventions.push("AddColLeft");
  }
  if (isPrevented(prevention, AddColRight)) {
    preventions.push("AddColRight");
  }
  if (isPrevented(prevention, MoveFrom)) {
    preventions.push("MoveFrom");
  }
  if (isPrevented(prevention, MoveTo)) {
    preventions.push("MoveTo");
  }
  if (isPrevented(prevention, Write)) {
    preventions.push("Write");
  }
  if (isPrevented(prevention, Style)) {
    preventions.push("Style");
  }
  if (isPrevented(prevention, Resize)) {
    preventions.push("Resize");
  }
  if (isPrevented(prevention, SetRenderer)) {
    preventions.push("SetRenderer");
  }
  if (isPrevented(prevention, SetParser)) {
    preventions.push("SetParser");
  }
  return preventions;
};
export {
  Add,
  AddCol,
  AddColLeft,
  AddColRight,
  AddRow,
  AddRowAbove,
  AddRowBelow,
  Delete,
  DeleteCol,
  DeleteRow,
  Move,
  MoveFrom,
  MoveTo,
  ReadOnly,
  Resize,
  SetParser,
  SetRenderer,
  Style,
  Update,
  Write,
  debugOperations,
  isPrevented
};
//# sourceMappingURL=prevention.js.map
