import { MatrixType, AreaType, ZoneType, RangeType, PointType, Y, X, CellsByAddressType, ShapeType, MatricesByAddress, CellType, Address } from '../types';
export declare const slideArea: (area: AreaType, y: Y, x: X) => AreaType;
export declare const superposeArea: (srcArea: AreaType, dstArea: AreaType) => ShapeType;
export declare const concatAreas: (area1: AreaType, area2: AreaType) => AreaType;
export declare const zoneToArea: (zone: ZoneType) => AreaType;
export declare const areaToZone: (area: AreaType) => ZoneType;
export declare const areaToRange: (area: AreaType) => string;
export declare const between: (range: RangeType, index: number) => boolean;
export declare const among: (area: AreaType, point: PointType) => boolean;
type ShapeExtension = {
    base?: number;
};
export declare const zoneShape: ({ base, ...zone }: ZoneType & ShapeExtension) => ShapeType;
export declare const areaShape: ({ base, ...area }: AreaType & ShapeExtension) => ShapeType;
export declare const matrixShape: ({ base, matrix }: {
    matrix: MatrixType;
} & ShapeExtension) => ShapeType;
export declare const makeSequence: (start: number, stop: number, step?: number) => number[];
export declare const oa2aa: (oa: {
    [s: string]: any;
}[], fields: string[]) => MatrixType;
export declare const aa2oa: (aa: MatrixType, fields: string[]) => {
    [s: string]: any;
}[];
export declare const putMatrix: <T = any>(dst: T[][], src: T[][], dstArea: AreaType, filter?: (newValue: T, currentValue: T) => boolean) => MatricesByAddress<T>;
export declare const createMatrix: <T = any>(numRows: number, numCols: number, fill?: T) => T[][];
export declare const cropMatrix: <T = any>(matrix: T[][], area: AreaType) => T[][];
export declare const constructInitialCellsOrigin: ({ cells, ensured, matrix, flattenAs, }: {
    cells?: CellsByAddressType;
    ensured?: {
        numRows?: number;
        numCols?: number;
    };
    flattenAs?: keyof CellType;
    matrix?: MatrixType;
}) => CellsByAddressType;
export declare const constructInitialCells: ({ cells, ensured, matrices, flattenAs, }?: {
    cells?: CellsByAddressType;
    ensured?: {
        numRows?: number;
        numCols?: number;
    };
    flattenAs?: keyof CellType;
    matrices?: MatricesByAddress<any>;
}) => CellsByAddressType;
export declare const upsert: <T>({ cells, matrices, flattenAs, }: {
    cells?: CellsByAddressType;
    flattenAs?: keyof CellType;
    matrices?: MatricesByAddress<T>;
}) => CellsByAddressType;
export declare const getMaxSizesFromCells: (cells?: CellsByAddressType) => {
    numRows: number;
    numCols: number;
};
export declare const range: (start: number, end: number) => number[];
export declare const complementSelectingArea: (selectingArea: AreaType, choosing: PointType) => AreaType;
export declare const isSameArea: (area1: AreaType, area2: AreaType) => boolean;
export declare const expandRange: (range: string) => Address[];
export {};
//# sourceMappingURL=structs.d.ts.map