import { CellType } from '../types';
import { TimeDelta } from '../lib/time';
type Condition = (value: string) => boolean;
type Stringify = (value: string) => any;
type Props = {
    condition?: Condition;
    complement?: Stringify;
    mixins?: ParserMixinType[];
};
export interface ParserMixinType {
    functions?: ((value: string, cell?: CellType) => any)[];
    callback?(parsed: any, cell?: CellType): CellType;
    parse?(value: string, cell: CellType): any;
    bool?(value: string, cell?: CellType): boolean | undefined;
    number?(value: string, cell?: CellType): number | undefined;
    timedelta?(value: string, cell?: CellType): TimeDelta | undefined;
    date?(value: string, cell?: CellType): Date | undefined;
}
export declare class Parser implements ParserMixinType {
    functions: ((value: string, cell?: CellType) => any)[];
    private condition?;
    private complement?;
    constructor(props?: Props);
    private applyMixins;
    call(value: string, cell: CellType): CellType;
    callback(parsed: any, cell?: CellType): CellType;
    parse(value: string, cell?: CellType): any;
    bool(value: string, cell?: CellType): boolean | undefined;
    number(value: string, cell?: CellType): number | undefined;
    timedelta(value: string, cell?: CellType): TimeDelta | undefined;
    date(value: string, cell?: CellType): Date | undefined;
}
export type ParserType = Parser;
export declare const defaultParser: Parser;
export {};
//# sourceMappingURL=core.d.ts.map