import { CellType, PointType, WriterType } from '../types';
import { Table, UserTable } from '../lib/table';
import { TimeDelta } from '../lib/time';
type Condition = (value: any) => boolean;
type Stringify = (value: any) => string;
type Props = {
    condition?: Condition;
    complement?: Stringify;
    mixins?: RendererMixinType[];
};
export interface RendererMixinType {
    datetimeFormat?: string;
    dateFormat?: string;
    timeDeltaFormat?: string;
    render?(value: any, table: UserTable, writer?: WriterType, position?: PointType): any;
    stringify?(cell: CellType): string;
    string?(value: string, table: UserTable, writer?: WriterType, position?: PointType): any;
    bool?(value: boolean, writer?: WriterType, position?: PointType): any;
    number?(value: number, writer?: WriterType, position?: PointType): any;
    date?(value: Date, writer?: WriterType, position?: PointType): any;
    timedelta?(value: TimeDelta, writer?: WriterType, position?: PointType): any;
    array?(value: any[], writer?: WriterType, position?: PointType): any;
    object?(value: any, writer?: WriterType, position?: PointType): any;
    null?(value: null, writer?: WriterType, position?: PointType): any;
    undefined?(value: undefined, writer?: WriterType, position?: PointType): any;
}
export declare class Renderer implements RendererMixinType {
    datetimeFormat: string;
    dateFormat: string;
    timeDeltaFormat: string;
    private condition?;
    private complement?;
    constructor(props?: Props);
    private applyMixins;
    call(table: Table, point: PointType, writer?: WriterType): any;
    render(value: any, table: Table, writer?: WriterType, position?: PointType): any;
    stringify(cell: CellType, position?: PointType): string;
    string(value: string, table: Table, writer?: WriterType, position?: PointType): any;
    bool(value: boolean, writer?: WriterType, position?: PointType): any;
    number(value: number, writer?: WriterType, position?: PointType): any;
    date(value: Date, writer?: WriterType, position?: PointType): any;
    timedelta(value: TimeDelta, writer?: WriterType, position?: PointType): any;
    array(value: any[], writer?: WriterType, position?: PointType): any;
    object(value: any, writer?: WriterType, position?: PointType): any;
    null(value: any, writer?: WriterType, position?: PointType): any;
    undefined(value: undefined, writer?: WriterType, position?: PointType): any;
}
export type RendererType = Renderer;
export declare const defaultRenderer: Renderer;
export {};
//# sourceMappingURL=core.d.ts.map